## python-colored-traceback 0.3.0

=== Makefile ===
SHELL := /bin/bash

.PHONY: sdist
sdist:
	@python setup.py sdist

.PHONY: bdist_wheel
bdist_wheel:
	@python setup.py bdist_wheel

.PHONY: publish
publish: sdist bdist_wheel
	@twine upload dist/*

.PHONY: clean
clean:
	@rm -rvf MANIFEST *.egg-info *.pyc {,colored_traceback/{,auto/,always/}}{*.pyc,__pycache__}
	@rm -rvf build dist

=== debian/changelog ===
python-colored-traceback (0.3.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Add debian/watch file, using pypi.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 16 Nov 2022 10:39:19 +0000

python-colored-traceback (0.3.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Oct 2022 12:09:30 +0100

python-colored-traceback (0.3.0-2) unstable; urgency=medium

  * Source-only upload.

 -- Timo Röhling <roehling@debian.org>  Fri, 28 Jan 2022 19:02:45 +0100

python-colored-traceback (0.3.0-1) unstable; urgency=medium

  * Initial release.

 -- Timo Röhling <roehling@debian.org>  Thu, 30 Dec 2021 16:18:36 +0100

=== debian/control ===
Source: python-colored-traceback
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Timo Röhling <roehling@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
	       dh-python,
               dh-sequence-python3,
	       python3-all,
	       python3-colorama,
	       python3-pygments,
	       python3-setuptools,
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/python-team/packages/python-colored-traceback.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-colored-traceback
Homepage: https://github.com/staticshock/colored-traceback.py
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-colored-traceback
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: python3-colorama
Description: Colorization for Python 3 tracebacks
 Automatically colorize Python's uncaught exception tracebacks.
 colored_traceback can be used both as module or as executable.
 The colorization is done with pygments.

=== debian/watch ===
version=4
https://pypi.debian.net/colored-traceback/colored-traceback-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-colored-traceback 0.4.2

=== debian/changelog ===
python-colored-traceback (0.4.2-1) unstable; urgency=medium

  * New upstream version 0.4.2

 -- Timo Röhling <roehling@debian.org>  Thu, 25 Jul 2024 12:56:59 +0200

python-colored-traceback (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1
  * Update patches
    - Drop backported pull requests (merged upstream)
  * Bump Standards-Version to 4.7.0
  * Reformat d/control
  * Migrate to PEP 517 build

 -- Timo Röhling <roehling@debian.org>  Fri, 12 Jul 2024 15:20:47 +0200

=== debian/control ===
Source: python-colored-traceback
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Timo Röhling <roehling@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-colorama,
 python3-pygments,
 python3-setuptools,
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/python-team/packages/python-colored-traceback.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-colored-traceback
Homepage: https://github.com/staticshock/colored-traceback.py
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-colored-traceback
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-colorama,
Description: Colorization for Python 3 tracebacks
 Automatically colorize Python's uncaught exception tracebacks.
 colored_traceback can be used both as module or as executable.
 The colorization is done with pygments.
